<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    
    android:background="@color/chat_bgcolor" >

    <com.lianxin.panqq.chat.widget.EMTitleBar
        android:id="@+id/title_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
         /> 

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/input_menu"
        android:layout_below="@id/title_bar" >

        <com.lianxin.panqq.chat.widget.EMChatMessageList
            android:id="@+id/message_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <com.lianxin.panqq.chat.widget.EMVoiceRecorderView
            android:id="@+id/voice_recorder"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:visibility="invisible" />
    </RelativeLayout>

    <com.lianxin.panqq.chat.widget.EMChatInputMenu
        android:id="@+id/input_menu"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" /> 

</RelativeLayout>